<?php
/**
 * ajax -> admin -> ads
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();
// check admin logged in
if(!$user->_logged_in || !$user->_is_admin) { modal(MESSAGE, __("System Message"), __("You don't have the right permission to access this")); }
$task = ( isset($_POST['task']) ? $_POST['task'] : ( isset($_GET['task']) ? $_GET['task'] : '' ) );
$ad_id = ( isset($_POST['ad_id']) ? $_POST['ad_id'] : ( isset($_GET['ad_id']) ? $_GET['ad_id'] : 0 ) );
$plan_id = ( isset($_POST['plan_id']) ? $_POST['plan_id'] : ( isset($_GET['plan_id']) ? $_GET['plan_id'] : 0 ) );
$val = ( isset($_POST['val']) ? $_POST['val'] : ( isset($_GET['val']) ? $_GET['val'] : array() ) );
$last_id = ( isset($_POST['last_id']) ? $_POST['last_id'] : ( isset($_GET['last_id']) ? $_GET['last_id'] : 0 ) );
$by = ( isset($_POST['by']) ? $_POST['by'] : ( isset($_GET['by']) ? $_GET['by'] : 'all' ) );

// edit ads
try {
	switch ($task) {
	    case 'show_more_ads':
			$return = array();
		    if($last_id != 0){ 
			// valid inputs
			if(!isset($last_id) || !is_numeric($last_id)) { _error(400); }	
			$where = "";
            if($by == 'paid'){ $where = " A.paid = '1' "; }
            elseif($by == 'unpaid'){ $where = " A.paid = '0' "; } 		
			// get ads
              $ads = Ads::get_ads_lists($system['max_results'], $last_id, FALSE, " A.id DESC ", $where);
			// assign variables
            $smarty->assign('ads', $ads);
			if($ads['count']!= 0){
			$html = $smarty->fetch("ajax.admin_ads_member.tpl");
            /* clear html */
            $html = str_replace("\t",'',$html);
            $html = str_replace("\r",'',$html);
            $html = str_replace("\n",'',$html); 
			/* return */
	        $return['result'] = 1;
		    $return['html'] = $html;
			}
			return_json( $return );
			}
			break;
	    case 'show_more_plans':
		    $return = array();
		    if($last_id != 0){ 
			// valid inputs
			if(!isset($last_id) || !is_numeric($last_id)) { _error(400); }	
			$where = "";
            if($by != 'all'){ $where = " type='{$by}' "; } 		
			// get plans
		    $plans = Ads::get_plans($system['max_results'], $last_id, FALSE, "id DESC", $where);
			// assign variables
            $smarty->assign('plans', $plans);
			if(count($plans)!= 0){
			$html = $smarty->fetch("ajax.admin_ads_plans.tpl");
            /* clear html */
            $html = str_replace("\t",'',$html);
            $html = str_replace("\r",'',$html);
            $html = str_replace("\n",'',$html); 
			/* return */
	        $return['result'] = 1;
		    $return['html'] = $html;
			}
			return_json( $return );
			}
			break;
			
		case 'ad_delete':
			// valid inputs
			if(!isset($ad_id) || !is_numeric($ad_id)) { _error(400); }			
			$db->query(sprintf("DELETE FROM ads_ldrsoft WHERE id='{$ad_id}' LIMIT 1"));
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Done, Plugin info have been updated")) );
			break;
		 
		 case 'ad_activate':
			// valid inputs
			if(!isset($ad_id) || !is_numeric($ad_id)) { _error(400); }

	  // DETERMINE WHICH ADS SHOULD BE SHOWN
	  $plan_query = $db->query("SELECT A.plan_id, P.quantity FROM ads_plans AS P LEFT JOIN ads_ldrsoft AS A ON A.plan_id=P.id WHERE A.id='{$ad_id}' LIMIT 1");
      $plan_info = $plan_query->fetch_array(MYSQLI_ASSOC);	
	  			
			$db->query(sprintf("UPDATE ads_ldrsoft SET paid='1', status='1', quantity = '{$plan_info['quantity']}' WHERE id='{$ad_id}' LIMIT 1"));
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Done, Plugin info have been updated"), 'quantity' => $plan_info['quantity']) );
			break;
		
		 case 'save_ad_edit':
		// valid inputs
        if(count($val) == 0) { _error(400); }		
        $expected = array('campaign_name' => '', 'plan_type' => '', 'plan_id' => '', 'id' => '', 'status' => 0);
        /* @var $campaign_name
         * @var $plan_type
         * @var $plan_id
         * @var $id
         * @var $status
         */
        extract(array_merge($expected, $val));
		$db->query(sprintf("UPDATE ads_ldrsoft SET campaign_name = %s, plan_type = %s, plan_id = %s, status = %s WHERE id= %s", 
		secure($campaign_name),
		secure($plan_type),
		secure($plan_id, 'int'),
		secure($status),
		secure($id) )) or _error(SQL_ERROR_THROWEN);
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Successfully saved")) );
			break;	
		
		 
		 case 'plan_create':
		        $expected = array('id' => '', 'name' => '', 'description' => '', 'type' => '', 'price' => 0, 'quantity' => 0);
        /**
         * @var $name
         * @var $description
         * @var $type
         * @var $price
         * @var $quantity
         */
        extract(array_merge($expected, $val));

        if (empty($name) or empty($description) or empty($price) or empty($quantity) ) { _error(400); } 
		// valid inputs
        if(count($val) == 0) { _error(400); }		
        
		Ads::plan_add($val);
		 
		 /* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Successfully saved")) );
			break;	
						
		 case 'plan_edit':
		 $expected = array('id' => '', 'name' => '', 'description' => '', 'type' => '', 'price' => 0, 'quantity' => 0);
        /**
         * @var $name
         * @var $description
         * @var $type
         * @var $price
         * @var $quantity
         */
        extract(array_merge($expected, $val));
        if (empty($id) or empty($name) or empty($description) or empty($price) or empty($quantity) ) { _error(400); } 
		// valid inputs
        if(count($val) == 0) { _error(400); }		        
		Ads::plan_add($val);
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Successfully saved")) );
			break;	
			
		 case 'plan_delete':
			// valid inputs
			if(!isset($plan_id) || !is_numeric($plan_id)) { _error(400); }			
			$db->query(sprintf("DELETE FROM ads_plans WHERE id='{$plan_id}' LIMIT 1"));
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Done, Plan info have been deleted")) );
			break;
					
		 case 'setting':
		   	// valid inputs
           if(count($val) == 0) { _error(400); }
			
			$expected = array(
			'ads_enable_sandbox' => '',
			'ads_no_external_images' => '',
			'ads_no_right_column' => '',
			'ads_no_left_column' => '',
			'enable_ads_left_column' => '',
			'ads_quantity_rate' => '',
			'enable_ads_on_post' => '',
			'enable_website_ads_on_post' => '',
			'ads_enable_secure' => '',
			'ads_enable_paypal' => '',
			'corporate_paypal_email' => '',
			'paypal_email_notification',
			'ads_enable_stripe' => '',
			'stripe_secret_key' => '',
			'stripe_publishable_key' => '',
			'pagelet_ego' => '',
			'ad_rigth_scroll' => ''
			 );
        /* */

        extract(array_merge($expected, $val));
			$db->query(sprintf("UPDATE system_options SET 
			ads_enable_sandbox = %s,
			ads_no_external_images = %s,
			ads_no_right_column = %s,
			ads_no_left_column = %s,
			enable_ads_left_column = %s,
			ads_quantity_rate = %s,
			enable_ads_on_post = %s,
			enable_website_ads_on_post = %s,
			ads_enable_secure = %s,
			ads_enable_paypal = %s,
			corporate_paypal_email = %s,
			paypal_email_notification = %s,
			ads_enable_stripe = %s,
			stripe_secret_key = %s,
			stripe_publishable_key = %s,
			pagelet_ego = %s,
			ad_rigth_scroll = %s
			WHERE ID = '1' LIMIT 1",
			secure($ads_enable_sandbox),
			secure($ads_no_external_images),
			secure($ads_no_right_column),
			secure($ads_no_left_column),
			secure($enable_ads_left_column),
			secure($ads_quantity_rate),
			secure($enable_ads_on_post),
			secure($enable_website_ads_on_post),
			secure($ads_enable_secure),
			secure($ads_enable_paypal),
			secure($corporate_paypal_email),
			secure($paypal_email_notification),
			secure($ads_enable_stripe),
			secure($stripe_secret_key),
			secure($stripe_publishable_key),
			secure($pagelet_ego),
			secure($ad_rigth_scroll)		
			)) or _error(SQL_ERROR_THROWEN);
			/* return */
			return_json( array('result'=> 1, 'success' => true, 'message' => __("Done, Plugin info have been updated")) );		
			break;		
						
		default: _error(400); break;
	}

} catch (Exception $e) {
	return_json( array('error' => true, 'message' => $e->getMessage()) );
}
?>