<?php
/**
 * ajax -> ads -> get_page
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
	modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}

$page_id = ( isset($_POST['page_id']) ? $_POST['page_id'] : ( isset($_GET['page_id']) ? $_GET['page_id'] : 0 ) );

// valid inputs
if(!isset($page_id) || is_empty($page_id)  ||  $page_id == 0) { _error(403); }

try {

	// initialize the return array
	$return = array();
	$return['result'] = 0;	
    
	// get page info
    $get_page = $db->query(sprintf("SELECT * FROM pages WHERE page_id = %s AND page_admin = %s ORDER BY page_id DESC LIMIT 1", secure($page_id), secure($user->_data['user_id']))) or _error(SQL_ERROR);

if($get_page->num_rows == 0) { _error(404); }

    $return = $get_page->fetch_assoc();

	$return['result'] = 1;
	$return['photo'] =  $user->get_picture($return['page_picture'], 'page');
	$return['page_description'] = (strlen($return['page_description']) > 99) ?  substr_replace($return['page_description'],"",99) : '';
	$return['count_desc'] = (99) - strlen($return['page_description']);  
	
    $where = " type='clicks' ";   
	
	// get plans
	$plans = Ads::get_plans("", FALSE, FALSE, "id DESC", $where);	
    
	// assign variables
    $smarty->assign('plans', $plans);
    $smarty->assign('page', $return);
	
	/* return */
	$return['template'] = $smarty->fetch("p_ajax.ads_get_page.tpl");
        
 	// return & exit
	return_json($return);

}catch (Exception $e) {
	modal(ERROR, __("Error"), $e->getMessage());
}
?>