<?php
/**
 * ajax -> ads -> get_website
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// check AJAX Request 
is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
	modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}

$link = ( isset($_POST['link']) ? $_POST['link'] : ( isset($_GET['link']) ? $_GET['link'] : '' ) );

// valid inputs
if(!isset($link) || is_empty($link)  ||  $link == '') { _error(403); }
        
		/*clear url*/
        $link = preg_replace("#www\.#","http://www.",$link);
        $link = preg_replace("#http://http://www\.#","http://www.",$link);
        $link = preg_replace("#https://http://www\.#","https://www.",$link);
		
try {

	// initialize the return array
	$return = array();
    
	/*url details*/
    $url_info_json = @file_get_contents("http://api.embed.ly/1/oembed?key=026dd9f909d341e5a745c92865885239&url=".$link);
	$url_info = ( $url_info_json ) ? json_decode($url_info_json, true) : array(); 

	$details['src'] = isset($url_info['thumbnail_url']) ? $url_info['thumbnail_url'] : '';
	$details['title'] = (strlen($url_info['title']) > 25 ) ?  substr_replace($url_info['title'],"",25) : '';
	$details['desc'] = (strlen($url_info['description']) > 99) ?  substr_replace($url_info['description'],"",99) : '';
	$details['url'] = $link;
	$details['host'] = parse_url($link, PHP_URL_HOST); 
	$details['count_title'] = (25) - strlen($details['title']);
	$details['count_desc'] = (99) - strlen($details['desc']);   
	
	//echo json_encode($details);
	$where = " type='clicks' ";   
   
    // get plans
	$plans = Ads::get_plans("", FALSE, FALSE, "id DESC", $where);
		
    // assign variables
	$smarty->assign('detail', $details);
    $smarty->assign('plans', $plans);
	
    $html = $smarty->fetch("p_ajax.ads_get_website.tpl");

    /* clear html */
    $html = str_replace("\t",'',$html);
    $html = str_replace("\r",'',$html);
    $html = str_replace("\n",'',$html);
    
	/* return */
	$return['result'] = 1;
    $return['template'] = $html;
          	
 	// return & exit
	return_json($return);

}catch (Exception $e) {
	modal(ERROR, __("Error"), $e->getMessage());
}
?>