<?php
/**
 * ajax -> ads -> upload image
 * Plugin for Sngine v2+
 * @author Pepe Galvan  - LdrMx
 */

// fetch bootstrap
require('../../../../bootstrap.php');

// fetch image class
require('../../../../includes/class-image.php');
$ad_id = ( isset($_POST['ad_id']) ? $_POST['ad_id'] : ( isset($_GET['ad_id']) ? $_GET['ad_id'] : 0 ) );// check AJAX Request is_ajax();

// check user logged in
if(!$user->_logged_in) { modal(LOGIN); }

// check user activated
if($system['email_send_activation'] && !$user->_data['user_activated']) {
    modal(MESSAGE, __("Not Activated"), __("Before you can interact with other users, you need to confirm your email address"));
}

// get allowed file size
    $max_allowed_size = $system['max_photo_size'] * 1024;

// upload
try {
        // valid inputs
        if(!isset($_FILES["image"])) {
            modal(MESSAGE, __("Upload Error"), __("Something wrong with upload! Is 'upload_max_filesize' set correctly?"));
        }

        /* if file size is bigger than allowed size */
        if($_FILES["image"]["size"] > $max_allowed_size) { modal(MESSAGE, __("Upload Error"), __("The file size is so big")); }
        
        $image = new Image($_FILES["image"]["tmp_name"]);
        //$prefix = 'ldr_ads_'.md5(time()*rand(1, 9999));
		$prefix = 'ldr_ads_'.hash('crc32', time()*rand(1, 9999));
        $image_tmp_name = $prefix.'_tmp'.$image->_img_ext;
        $image_new_name = $prefix.$image->_img_ext;
        $path_tmp = '../../../../'.$system['system_uploads_directory'].'/ads/'.$image_tmp_name;
        $path_new = '../../../../'.$system['system_uploads_directory'].'/ads/'.$image_new_name;

        /* check if the file uploaded successfully */
        if(!@move_uploaded_file($_FILES['image']['tmp_name'], $path_tmp)) { modal(MESSAGE, __("Upload Error"), __("Sorry, can not upload the file")); }

        /* save the new image */
        $image->save($path_new, $path_tmp);

        /* delete the tmp image */
        unlink($path_tmp);
		$image_url = $system['system_url'].'/'.$system['system_uploads_directory'].'/ads/'.$image_new_name;

        // return the file new name & exit
        return_json(array('image' => $image_url, 'imageUrl' => $image_url));

}catch (Exception $e) {
    modal(ERROR, __("Error"), $e->getMessage());
}
    

?>